> For the complete documentation index, see [llms.txt](https://docs.ibexa.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ibexa.ai/developers/rest-api/triggers/get-trigger.md).

# Get Trigger

Retrieve a trigger by ID within the caller's organisation.

```json
{"openapi":"3.1.0","info":{"title":"Ibexa Agentic Marketing Platform","version":"0.1.0"},"security":[{"OAuth2PasswordBearer":[]}],"components":{"securitySchemes":{"OAuth2PasswordBearer":{"type":"oauth2","flows":{"password":{"scopes":{},"tokenUrl":"/api/v1/login/access-token"}}}},"schemas":{"TriggerResponseSchema":{"properties":{"id":{"type":"string","format":"uuid","title":"Id"},"organisation_id":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Organisation Id"},"agent_id":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Agent Id"},"created_by":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"title":"Created By"},"definition_id":{"type":"string","format":"uuid","title":"Definition Id"},"config":{"additionalProperties":true,"type":"object","title":"Config"}},"type":"object","required":["id","organisation_id","agent_id","created_by","definition_id","config"],"title":"TriggerResponseSchema","description":"Response schema for a trigger."}}},"paths":{"/api/v1/triggers/{trigger_id}":{"get":{"tags":["triggers","public"],"summary":"Get Trigger","description":"Retrieve a trigger by ID within the caller's organisation.","operationId":"triggers-get_trigger","parameters":[{"name":"trigger_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Trigger Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TriggerResponseSchema"}}}},"400":{"description":"Invalid request payload or parameters","content":{"application/json":{}}},"401":{"description":"User not authenticated","content":{"application/json":{}}},"403":{"description":"User lacks permission","content":{"application/json":{}}},"404":{"description":"Resource not found or user has no permission to access it","content":{"application/json":{}}}}}}}}
```
